XnBitSet Class Reference

`#include <XnBitSet.h>`

## Public Member Functions

| XnBitSet ()
XnStatus | Reserve (XnUInt32 nBits)
XnStatus | SetSize (XnUInt32 nBits)
XnStatus | Set (XnUInt32 nIndex, XnBool bValue)
XnBool | IsSet (XnUInt32 nIndex) const
XnStatus | SetData (const XnUInt32 *pData, XnUInt32 nSizeInDwords)
XnStatus | SetDataBytes (const XnUInt8 *pData, XnUInt32 nSizeInBytes)
const XnUInt32 * | GetData () const
XnUInt32 * | GetData ()
XnUInt32 | GetDataSize () const
XnUInt32 | GetSize () const
void | Clear ()
XnBool | IsEmpty () const

## Constructor & Destructor Documentation

## XnBitSet()

XnBitSet::XnBitSet | ( |  | ) |

inline

## Member Function Documentation

## Clear()

void XnBitSet::Clear | ( |  | ) |

inline

Clears data in this bitset and sets size to 0.

## GetData() [1/2]

XnUInt32 * XnBitSet::GetData | ( |  | ) |

inline

Returns
  The raw data of this bitset as a buffer of dwords. Allows modification of underlying data.

## GetData() [2/2]

const XnUInt32 * XnBitSet::GetData | ( |  | ) | const

inline

Returns
  The raw data of this bitset as a buffer of dwords.

## GetDataSize()

XnUInt32 XnBitSet::GetDataSize | ( |  | ) | const

inline

Returns
  size in bytes of this bitset.

## GetSize()

XnUInt32 XnBitSet::GetSize | ( |  | ) | const

inline

Returns
  size in bits of this bitset.

## IsEmpty()

XnBool XnBitSet::IsEmpty | ( |  | ) | const

inline

Returns
  TRUE if this bitset is empty, FALSE otherwise.

## IsSet()

XnBool XnBitSet::IsSet | ( | XnUInt32 | nIndex | ) | const

inline

Returns
  the value of the bit specified by nIndex.

## Reserve()

XnStatus XnBitSet::Reserve | ( | XnUInt32 | nBits | ) |

inline

Reserves space in this bitset for the specified number of bits. This saves you re-allocations and data copies if you know the size in advance.

## Set()

XnStatus XnBitSet::Set | ( | XnUInt32 | nIndex,
|  | XnBool | bValue )

inline

Sets the bit at nIndex to bValue.

## SetData()

XnStatus XnBitSet::SetData | ( | const XnUInt32 * | pData,
|  | XnUInt32 | nSizeInDwords )

inline

Copies raw data from a buffer of dwords to this bitset.

## SetDataBytes()

XnStatus XnBitSet::SetDataBytes | ( | const XnUInt8 * | pData,
|  | XnUInt32 | nSizeInBytes )

inline

Copies raw data from a buffer of bytes to this bitset.

## SetSize()

XnStatus XnBitSet::SetSize | ( | XnUInt32 | nBits | ) |

inline

Sets the size of the bitset to the specified number of bits and sets them all to 0.

The documentation for this class was generated from the following file:

- XnBitSet.h